Bug 451667 - Discover priority of flatpak is incorrect. When given beta flathub is given high priority over flathub it gets low priority and vicevera.
Summary: Discover priority of flatpak is incorrect. When given beta flathub is given h...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Flatpak Backend (show other bugs)
Version: 5.24.3
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-18 22:20 UTC by notrealname
Modified: 2022-07-29 14:23 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description notrealname 2022-03-18 22:20:12 UTC
SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***


STEPS TO REPRODUCE
1. add flathub beta (flathub is my default source)
2. search for app example Bitwarden 
3. gives wrong priority, then what is selected
Comment 1 Nate Graham 2022-03-26 03:31:04 UTC
Maybe the priority within a backend is alphabetical. Can reproduce.
Comment 3 Aleix Pol 2022-07-29 14:22:02 UTC
Git commit 7b7a9a17a3d3487191f53419f97dbace120ca165 by Aleix Pol.
Committed on 28/07/2022 at 16:13.
Pushed by ngraham into branch 'master'.

Do not change the sorting among resources in the default backend

It would make us swap them unnecessarily, breaking the already curated
sorting.

M  +1    -1    libdiscover/resources/ResourcesProxyModel.cpp

https://invent.kde.org/plasma/discover/commit/7b7a9a17a3d3487191f53419f97dbace120ca165
Comment 4 Nate Graham 2022-07-29 14:22:45 UTC
Git commit d11614d5f2c929374bd7c6f06f120f479561efb6 by Nate Graham, on behalf of Aleix Pol.
Committed on 29/07/2022 at 14:22.
Pushed by ngraham into branch 'Plasma/5.25'.

Do not change the sorting among resources in the default backend

It would make us swap them unnecessarily, breaking the already curated
sorting.


(cherry picked from commit 7b7a9a17a3d3487191f53419f97dbace120ca165)

M  +1    -1    libdiscover/resources/ResourcesProxyModel.cpp

https://invent.kde.org/plasma/discover/commit/d11614d5f2c929374bd7c6f06f120f479561efb6
Comment 5 Nate Graham 2022-07-29 14:23:03 UTC
Git commit 984dab22dce7854529bd501e8c090a8038e0148a by Nate Graham, on behalf of Aleix Pol.
Committed on 29/07/2022 at 14:22.
Pushed by ngraham into branch 'Plasma/5.24'.

Do not change the sorting among resources in the default backend

It would make us swap them unnecessarily, breaking the already curated
sorting.


(cherry picked from commit 7b7a9a17a3d3487191f53419f97dbace120ca165)

M  +1    -1    libdiscover/resources/ResourcesProxyModel.cpp

https://invent.kde.org/plasma/discover/commit/984dab22dce7854529bd501e8c090a8038e0148a